Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152903 - CAN-2005-0102 evolution integer overflow
Summary: CAN-2005-0102 evolution integer overflow
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: evolution
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://cve.mitre.org/cgi-bin/cvename....
Whiteboard: 1, LEGACY, NEEDSWORK, rh73, rh90
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-10 19:29 UTC by Marc Deslauriers
Modified: 2007-08-30 20:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-30 20:04:13 UTC


Attachments (Terms of Use)

Description David Lawrence 2005-03-30 23:31:33 UTC
Integer overflow in camel-lock-helper in Evolution 2.0.2 and earlier allows
local users or remote malicious POP3 servers to execute arbitrary code via a
length value of -1, which leads to a zero byte memory allocation and a buffer
overflow.

See:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-0102
http://marc.theaimsgroup.com/?l=bugtraq&m=110667319720599&w=2
http://www.mandrakesoft.com/security/advisories?name=MDKSA-2005:024



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:31 -------

This bug previously known as bug 2427 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2427
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.



Comment 1 John Dalbec 2005-09-08 12:28:50 UTC
05.32.11 CVE: CAN-2005-2549, CAN-2005-2550
Platform: Linux
Title: GNOME Evolution Multiple Format String Vulnerabilities
Description: GNOME Evolution is an email client for the GNOME desktop.
Evolution is affected by multiple format string vulnerabilities.
Evolution versions 2.3.6.1 and earlier are known to be vulnerable.
Ref: http://www.securityfocus.com/bid/14532 

Comment 2 Jesse Keating 2007-08-30 20:04:13 UTC
Fedora Legacy project has ended.  These will not be fixed by Fedora Legacy.


Note You need to log in before you can comment on or make changes to this bug.